#include "haplotype.h"

vector<CHaplotype> ind::hap;
CVector ind::hapfreq;
CVector ind::hapfreq1;
map<CHaplotype,int> ind::hcode;
BoolArray ind::alt_estimate;
BoolArray ind::null_estimate;
int ind::nloci = 1;   
int ind::nsnps = 1;  // this will differ from nloci only in --usat mode

CParentalPhase::CParentalPhase()
{
    mult = 1 ;
}

CBox::CBox(CIndividual * p)
{
    // assume to be UNRELATED
    // currently, TRUE means TRIO
    // i.e. no nuclear family support
    // i.e. no single-parent support
    person = p;
    parents = false;
    proband = false;
    nphase = 0;
}
